# Class TapMapper

java.lang.Object
uk.ac.starlink.ttools.task.TapMapper

All Implemented Interfaces:
  `TableMapper`

public class TapMapper extends Object implements TableMapper
Mapper that does the work for `TapQuerier`.

Since:
  21 Feb 2011
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TapMapper()`

## Method Summary

Modifier and Type
Method
Description
`TableMapping`
`createMapping(uk.ac.starlink.task.Environment env, int nup)`
Creates a new mapping object, using a given execution environment for any additional required state.
`static uk.ac.starlink.task.Parameter<String>`
`createUploadNameParameter(String label)`
Returns a parameter for acquiring the label under which one of the uploaded tables should be presented to the TAP server.
`uk.ac.starlink.task.Parameter<String>`
`getAdqlParameter()`
Returns the parameter used to acquire ADQL query text.
`ContentCodingParameter`
`getContentCodingParameter()`
Returns the parameter used to acquire the content coding.
`uk.ac.starlink.task.Parameter<String>`
`getLanguageParameter()`
Returns the parameter used to acquire the query language variant.
`uk.ac.starlink.task.Parameter<Long>`
`getMaxrecParameter()`
Returns the parameter used to acquire the output record limit.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters defined by this mapper.
`TapResultReader`
`getResultReader()`
Returns the result reader used by this mapper.
`uk.ac.starlink.task.Parameter<Boolean>`
`getSyncParameter()`
Returns the parameter used to acquire the sync/async flag.
`TapServiceParams`
`getTapServiceParams()`
Returns the TapServiceParams used by this mapper to acquire a TAP service.
`uk.ac.starlink.task.Parameter<uk.ac.starlink.votable.VOTableWriter>`
`getVOTableWriterParameter()`
Returns the parameter used to acquire the table upload writer.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TapMapper

public TapMapper()

## Method Details

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()
Description copied from interface: `TableMapper`
Returns the parameters defined by this mapper.

Specified by:
  `getParameters` in interface `TableMapper`
Returns:
  parameter array

### createMapping

public TableMapping createMapping(uk.ac.starlink.task.Environment env, int nup) throws uk.ac.starlink.task.TaskException
Description copied from interface: `TableMapper`
Creates a new mapping object, using a given execution environment for any additional required state.

Specified by:
  `createMapping` in interface `TableMapper`
Parameters:
  `env` - execution environment
  `nup` - number of input tables that the mapping will operate on if known; -1 if not
Throws:
  `uk.ac.starlink.task.TaskException`

### getTapServiceParams

public TapServiceParams getTapServiceParams()
Returns the TapServiceParams used by this mapper to acquire a TAP service.

Returns:
  tap service params

### getAdqlParameter

public uk.ac.starlink.task.Parameter<String> getAdqlParameter()
Returns the parameter used to acquire ADQL query text.

Returns:
  adql parameter

### getSyncParameter

public uk.ac.starlink.task.Parameter<Boolean> getSyncParameter()
Returns the parameter used to acquire the sync/async flag.

Returns:
  sync parameter

### getLanguageParameter

public uk.ac.starlink.task.Parameter<String> getLanguageParameter()
Returns the parameter used to acquire the query language variant.

Returns:
  language parameter

### getMaxrecParameter

public uk.ac.starlink.task.Parameter<Long> getMaxrecParameter()
Returns the parameter used to acquire the output record limit.

Returns:
  maxrec parameter

### getContentCodingParameter

public ContentCodingParameter getContentCodingParameter()
Returns the parameter used to acquire the content coding.

Returns:
  content coding parameter

### getVOTableWriterParameter

public uk.ac.starlink.task.Parameter<uk.ac.starlink.votable.VOTableWriter> getVOTableWriterParameter()
Returns the parameter used to acquire the table upload writer.

Returns:
  upload writer parameter

### getResultReader

public TapResultReader getResultReader()
Returns the result reader used by this mapper.

Returns:
  result reader

### createUploadNameParameter

public static uk.ac.starlink.task.Parameter<String> createUploadNameParameter(String label)
Returns a parameter for acquiring the label under which one of the uploaded tables should be presented to the TAP server.

Parameters:
  `label` - parameter suffix
Returns:
  upload name parameter